Bug 1122342 - Once designer in business-central saves bpmn2 file which uses I18n for a process name, those characters are garbled
Summary: Once designer in business-central saves bpmn2 file which uses I18n for a proc...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER2
: 6.1.0
Assignee: Tihomir Surdilovic
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 03:28 UTC by Hisao Furuichi
Modified: 2018-12-09 18:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Hisao Furuichi 2014-07-23 03:28:26 UTC
Description of problem:
Once designer in business-central saves bpmn2 file which uses I18n for a process name, those characters are garbled

Steps to Reproduce:
1: Start bpms
2: Create a business process whose process name is Japanese (ex: 日本語)
3: Save process
4: Shutdown bpms
5: Start bpms
6: Open the business process by designer

Actual results:
process name is garbled.

Expected results:
process name is displayed correctly.

Comment 1 Jeremy Lindop 2014-09-26 08:50:00 UTC
https://github.com/droolsjbpm/jbpm-designer/commit/ff130a4dcfdc3137b72d7472a07e500a7cce0dc5

Fixed by base64 encoding/decoding the bpmn json as it is passed from the client to the backend.

Comment 2 Jeremy Lindop 2014-10-02 14:14:11 UTC
Additional fix to create valid BPMN id from the name entered by the user when BP's are initially created. Characters in the name which are invalid in id's are converted to their hex equivalent in the ID.

https://github.com/droolsjbpm/jbpm-designer/commit/86212c2dc4d95b354def7759309e74b29335e3b6

Comment 3 Marek Baluch 2014-12-01 11:54:11 UTC
Verified on 6.1.0.ER2.

Japanese process name is now displayed correctly even after server restart.


Note You need to log in before you can comment on or make changes to this bug.